For the complete documentation index, see llms.txt. This page is also available as Markdown.

Store Transaction Details

POST https://{baseUrl}/v2/merchant/{merchantId}/transactionDetails

The Authorization Header is required if JWT (JSON Web Token) authentication is enabled in the application configuration (config.server.jwt_enable is true). This header must contain a valid JWT token prefixed with the word "Bearer". The token is used to authenticate the request and verify that the sender is authorized to perform the requested operation

The Request Body must be an array containing exactly one object. This object includes the details of the transaction and payment information.

This endpoint is used to store transaction details for a merchant identified by merchantId. The endpoint validates the request body, checks the merchant's enrollment, and stores the transaction data in both MongoDB and optionally in AWS DynamoDB.

Headers

Name
Value

Content-Type

application/json

Authorization

Bearer <token>

Path Parameters

Name
Description

merchantId

Merchant Id for create transaction

Body

Name
Type
Required
Description

cardBin

String

True

The six or eight-digit card Issuer BIN that is associated with the purchase.

cardLast4

String

True

The last four digits of the card number associated with the purchase.

transactionDate

String

True

Purchase transaction date in UTC format.

paymentDescriptor

String

True

The Merchant name component of the billing descriptor which appears on the customer's transaction statement.

receipt

Object

True

Object containing transaction details like payment information and purchased products.

receipt.paymentInformation

Object

True

Object containing payment details.

receipt.paymentInformation.paymentTotalAmount

Object

True

Object containing the total amount and currency.

receipt.paymentInformation.paymentTotalAmount.amount

Number

True

The total payment amount.

receipt.paymentInformation.paymentTotalAmount.currency

String

True

The currency of the payment.

receipt.productsPurchasedList

Array

True

List of products purchased in the transaction.

receipt.productsPurchasedList[].productDescription

String

True

Detailed description of the product (merchandise or service) purchased.

merchantInformation

Object

True

Object containing information about the merchant.

merchantInformation.merchantName

String

True

Corporate or Parent company name of the Merchant, may or may not be recognizable to the consumer. May be the name on file with your Acquirer/Merchant Account provider. Required on

merchantInformation.merchantUrl

String

True

Merchant corporate business URL. May or may NOT be different from the websiteUrl the purchase was made from.

merchantInformation.merchantContactPhone

String

True

Merchant’s customer service phone number. Should be the number you would want a consumer to contact you to discuss any questions they may have about the purchase. Must be in E.164 format (“+” , 3-digit country code, 12-digit telephone number).

merchantInformation.storeDetails

Object

True

Object containing details about the merchant's store.

merchantInformation.storeDetails.storeName

String

True

Store/Webstore name where purchase was made. Should be recognizable to the consumer

customerInformation

Object

True (Conditionally)

Object containing information about the customer, required for "CE" merchants.

customerInformation.accountId

String

True (Conditionally)

Cardholder registered identifier to uniquely identify their account with the Merchant. This should be recognizable to the Cardholder (not an internal system identifier) and something they provided the Merchant during account creation. Examples are a unique username, email, phone number or other similar value. If a “guest” checkout option was used or the Cardholder has NOT established/registered an account with the Merchant this field is not to be used. Required for "CE" merchants if deliveryAddress is not provided.

deliveryAddress

Object

True (Conditionally)

Required for "CE" merchants if accountId is not provided.

deliveryAddress.address1

String

True (Conditionally)

Street address plus additional address lines such as suite number, apartment, etc. Required if the merchant enrollment is "CE" or based on specific conditions.

device

Object

True (Conditionally)

Required for "CE" merchants or if additional security checks are needed.

device.deviceId

String

True (Conditionally)

Device ID of the device used to submit order. Example values from device: • IMEI • MEID Required if other device fields are not provided.

device.ipAddress

String

True (Conditionally)

IP Address associated with the device. Only Public IP Addresses should be provided Required if other device fields are not provided.

device.deviceFingerprint

String

True (Conditionally)

Device fingerprint information is generated by a third-party service provider or the Merchant’s own algorithm to combine browser or device attributes to form a unique fingerprint to identify the device. Required if other device fields are not provided.

Store Transaction Details

post

Storing Merchant Transaction

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
merchantIdstringRequired

Merchant Id for create transaction

Bodyobject[]
cardBinstring · min: 6 · max: 8Required

First 6 or 8 digits of the card used in the transaction. Must be numeric.

Pattern: ^[0-9]+$
cardLast4string · min: 4 · max: 4Required

Last 4 digits of the card used in the transaction. Must be numeric.

Pattern: ^[0-9]+$
transactionDatestring · date-timeRequired

The date and time of the transaction in ISO 8601 format. Must be earlier than today.

paymentDescriptorstring · max: 25Required

Payment descriptor identifying the transaction.

arnstring · max: 24Optional

Acquirer Reference Number.

authCodestring · max: 6Optional

Authorization code for the transaction.

recipientCustomerNamestring · max: 20Optional

Name of the recipient customer.

Responses
200

Response

application/json
msgstringOptionalExample: Merchant transaction storing success
txShieldOICartReferencestringOptionalExample: 9fc0f822-5273-4f98-b95d-bb344d4e821f
post
/api/v2/merchant/{merchantId}/transactionDetails

Last updated